import request from '@/utils/request'

// 商户合同列表
export function apiShopContractLists(params: any) {
    return request.get({ url: '/shop_contract/lists', params })
}

// 添加商户合同
export function apiShopContractAdd(params: any) {
    return request.post({ url: '/shop_contract/add', params })
}

// 编辑商户合同
export function apiShopContractEdit(params: any) {
    return request.post({ url: '/shop_contract/edit', params })
}

// 删除商户合同
export function apiShopContractDelete(params: any) {
    return request.post({ url: '/shop_contract/delete', params })
}

// 商户合同详情
export function apiShopContractDetail(params: any) {
    return request.get({ url: '/shop_contract/detail', params })
}

// 合同上传
export function apiShopWindControl(params: any) {
    return request.post({ url: '/shop_contract/wind_control', params })
}

// 发送合同
export function apiShopDraftingcontracts(params: any) {
    return request.get({ url: '/shop_contract/Draftingcontracts', params })
}

// 重新发送短信
export function apiShopSendMsgApi(params: any) {
    return request.get({ url: '/shop_contract/postsms', params })
}

//请求证据包下载地址
export function contractEvidence(params: any) {
    return request.get({ url: "/shop_contract/evidence", params });
}